/*
 * ThreadGuard.h
 *
 *  Created on: Nov 30, 2011
 *      Author: mdm
 */

#ifndef THREADGUARD_H_
#define THREADGUARD_H_

namespace Mks651d_ns
{
	class ThreadGuard
	{
	public:
		ThreadGuard(omni_mutex& m) : mutex(m)
		{
			mutex.lock();
		}
		~ThreadGuard()
		{
			mutex.unlock();
		}
	private:
		omni_mutex& mutex;
	};
}

#endif /* THREADGUARD_H_ */
